ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
brew install caskroom/cask/brew-cask
brew cask install docker-toolbox
docker-machine create --driver "virtualbox" BlockchainMail
docker-machine start BlockchainMail

eval "$(docker-machine env BlockchainMail)"

#docker run -it ubuntu
docker create --name=blockchainmail -it ubuntu
docker start blockchainmail

docker exec -it blockchainmail apt-get update

docker exec -it blockchainmail apt-get -y install wget
docker exec -it blockchainmail apt-get -y install unzip

docker exec -it blockchainmail touch blockchainmail_installer.sh
docker exec -it blockchainmail /bin/bash -c 'echo "cd /tmp; wget http://www.multichain.com/download/multichain-1.0-beta-2.tar.gz; tar -xvzf multichain-1.0-beta-2.tar.gz; cd multichain-1.0-beta-2; mv multichaind multichain-cli multichain-util /usr/local/bin" > blockchainmail_installer.sh'
docker exec -it blockchainmail chmod +x blockchainmail_installer.sh
docker exec -it blockchainmail /bin/bash blockchainmail_installer.sh

docker exec -it blockchainmail apt-get -y install python

docker exec -it blockchainmail apt-get -y install python-pip python-dev build-essential
docker exec -it blockchainmail pip install --upgrade pip
docker exec -it blockchainmail pip install --upgrade virtualenv

docker exec -it blockchainmail pip install json

docker exec -it blockchainmail touch savoir_fix.sh
docker exec -it blockchainmail /bin/bash -c 'echo "cd /usr/local/lib/python2.7/dist-packages; wget http://blockchainmail.vojtadrmota.com/Savoir.zip; wget http://blockchainmail.vojtadrmota.com/Savoir-1.0.5.dist-info.zip; unzip Savoir.zip; unzip Savoir-1.0.5.dist-info.zip; rm Savoir.zip; rm Savoir-1.0.5.dist-info.zip;" > savoir_fix.sh'
docker exec -it blockchainmail chmod +x savoir_fix.sh
docker exec -it blockchainmail /bin/bash savoir_fix.sh

docker exec -it blockchainmail pip install requests

docker exec -it blockchainmail multichaind BlockchainMail@70.32.24.129:6293

printf "\n\n\n######################################## \nCongratulations!\n\nYou have successfully installed BlockchainMail v0.1\n\nIMPORTANT!\n\nScroll up a bit (just above this message), take a screenshot of your terminal and send the screenshot to Vojta Drmota at vojta@vojtadrmota.com. He will then grant you access to the blockchain.\n\n########################################\n\n\n"




